# Module: "wallets/test-utils"

## Index

### Variables

* [ACCOUNT_ADDRESS1](_wallets_test_utils_.md#const-account_address1)
* [ACCOUNT_ADDRESS2](_wallets_test_utils_.md#const-account_address2)
* [ACCOUNT_ADDRESS3](_wallets_test_utils_.md#const-account_address3)
* [ACCOUNT_ADDRESS4](_wallets_test_utils_.md#const-account_address4)
* [ACCOUNT_ADDRESS5](_wallets_test_utils_.md#const-account_address5)
* [ACCOUNT_ADDRESS_NEVER](_wallets_test_utils_.md#const-account_address_never)
* [CHAIN_ID](_wallets_test_utils_.md#const-chain_id)
* [PRIVATE_KEY1](_wallets_test_utils_.md#const-private_key1)
* [PRIVATE_KEY2](_wallets_test_utils_.md#const-private_key2)
* [PRIVATE_KEY3](_wallets_test_utils_.md#const-private_key3)
* [PRIVATE_KEY4](_wallets_test_utils_.md#const-private_key4)
* [PRIVATE_KEY5](_wallets_test_utils_.md#const-private_key5)
* [PRIVATE_KEY_NEVER](_wallets_test_utils_.md#const-private_key_never)

### Object literals

* [TYPED_DATA](_wallets_test_utils_.md#const-typed_data)

## Variables

### `Const` ACCOUNT_ADDRESS1

• **ACCOUNT_ADDRESS1**: *string* = normalizeAddressWith0x(privateKeyToAddress(PRIVATE_KEY1))

*Defined in [packages/contractkit/src/wallets/test-utils.ts:4](https://github.com/celo-org/celo-monorepo/blob/master/packages/contractkit/src/wallets/test-utils.ts#L4)*

___

### `Const` ACCOUNT_ADDRESS2

• **ACCOUNT_ADDRESS2**: *string* = normalizeAddressWith0x(privateKeyToAddress(PRIVATE_KEY2))

*Defined in [packages/contractkit/src/wallets/test-utils.ts:6](https://github.com/celo-org/celo-monorepo/blob/master/packages/contractkit/src/wallets/test-utils.ts#L6)*

___

### `Const` ACCOUNT_ADDRESS3

• **ACCOUNT_ADDRESS3**: *string* = normalizeAddressWith0x(privateKeyToAddress(PRIVATE_KEY3))

*Defined in [packages/contractkit/src/wallets/test-utils.ts:8](https://github.com/celo-org/celo-monorepo/blob/master/packages/contractkit/src/wallets/test-utils.ts#L8)*

___

### `Const` ACCOUNT_ADDRESS4

• **ACCOUNT_ADDRESS4**: *string* = normalizeAddressWith0x(privateKeyToAddress(PRIVATE_KEY4))

*Defined in [packages/contractkit/src/wallets/test-utils.ts:10](https://github.com/celo-org/celo-monorepo/blob/master/packages/contractkit/src/wallets/test-utils.ts#L10)*

___

### `Const` ACCOUNT_ADDRESS5

• **ACCOUNT_ADDRESS5**: *string* = normalizeAddressWith0x(privateKeyToAddress(PRIVATE_KEY5))

*Defined in [packages/contractkit/src/wallets/test-utils.ts:12](https://github.com/celo-org/celo-monorepo/blob/master/packages/contractkit/src/wallets/test-utils.ts#L12)*

___

### `Const` ACCOUNT_ADDRESS_NEVER

• **ACCOUNT_ADDRESS_NEVER**: *string* = normalizeAddressWith0x(privateKeyToAddress(PRIVATE_KEY_NEVER))

*Defined in [packages/contractkit/src/wallets/test-utils.ts:15](https://github.com/celo-org/celo-monorepo/blob/master/packages/contractkit/src/wallets/test-utils.ts#L15)*

___

### `Const` CHAIN_ID

• **CHAIN_ID**: *44378* = 44378

*Defined in [packages/contractkit/src/wallets/test-utils.ts:17](https://github.com/celo-org/celo-monorepo/blob/master/packages/contractkit/src/wallets/test-utils.ts#L17)*

___

### `Const` PRIVATE_KEY1

• **PRIVATE_KEY1**: *"0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef"* = "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef"

*Defined in [packages/contractkit/src/wallets/test-utils.ts:3](https://github.com/celo-org/celo-monorepo/blob/master/packages/contractkit/src/wallets/test-utils.ts#L3)*

___

### `Const` PRIVATE_KEY2

• **PRIVATE_KEY2**: *"0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890fdeccc"* = "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890fdeccc"

*Defined in [packages/contractkit/src/wallets/test-utils.ts:5](https://github.com/celo-org/celo-monorepo/blob/master/packages/contractkit/src/wallets/test-utils.ts#L5)*

___

### `Const` PRIVATE_KEY3

• **PRIVATE_KEY3**: *"0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890fffff1"* = "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890fffff1"

*Defined in [packages/contractkit/src/wallets/test-utils.ts:7](https://github.com/celo-org/celo-monorepo/blob/master/packages/contractkit/src/wallets/test-utils.ts#L7)*

___

### `Const` PRIVATE_KEY4

• **PRIVATE_KEY4**: *"0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890fffff2"* = "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890fffff2"

*Defined in [packages/contractkit/src/wallets/test-utils.ts:9](https://github.com/celo-org/celo-monorepo/blob/master/packages/contractkit/src/wallets/test-utils.ts#L9)*

___

### `Const` PRIVATE_KEY5

• **PRIVATE_KEY5**: *"0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890fffff3"* = "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890fffff3"

*Defined in [packages/contractkit/src/wallets/test-utils.ts:11](https://github.com/celo-org/celo-monorepo/blob/master/packages/contractkit/src/wallets/test-utils.ts#L11)*

___

### `Const` PRIVATE_KEY_NEVER

• **PRIVATE_KEY_NEVER**: *"0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890ffffff"* = "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890ffffff"

*Defined in [packages/contractkit/src/wallets/test-utils.ts:13](https://github.com/celo-org/celo-monorepo/blob/master/packages/contractkit/src/wallets/test-utils.ts#L13)*

## Object literals

### `Const` TYPED_DATA

### ▪ **TYPED_DATA**: *object*

*Defined in [packages/contractkit/src/wallets/test-utils.ts:19](https://github.com/celo-org/celo-monorepo/blob/master/packages/contractkit/src/wallets/test-utils.ts#L19)*

###  primaryType

• **primaryType**: *string* = "Mail"

*Defined in [packages/contractkit/src/wallets/test-utils.ts:37](https://github.com/celo-org/celo-monorepo/blob/master/packages/contractkit/src/wallets/test-utils.ts#L37)*

▪ **domain**: *object*

*Defined in [packages/contractkit/src/wallets/test-utils.ts:38](https://github.com/celo-org/celo-monorepo/blob/master/packages/contractkit/src/wallets/test-utils.ts#L38)*

* **chainId**: *number* = 1

* **name**: *string* = "Ether Mail"

* **verifyingContract**: *string* = "0xCcCCccccCCCCcCCCCCCcCcCccCcCCCcCcccccccC"

* **version**: *string* = "1"

▪ **message**: *object*

*Defined in [packages/contractkit/src/wallets/test-utils.ts:44](https://github.com/celo-org/celo-monorepo/blob/master/packages/contractkit/src/wallets/test-utils.ts#L44)*

* **contents**: *string* = "Hello, Bob!"

* **from**: *object*

  * **name**: *string* = "Cow"

  * **wallet**: *string* = "0xCD2a3d9F938E13CD947Ec05AbC7FE734Df8DD826"

* **to**: *object*

  * **name**: *string* = "Bob"

  * **wallet**: *string* = "0xbBbBBBBbbBBBbbbBbbBbbbbBBbBbbbbBbBbbBBbB"

▪ **types**: *object*

*Defined in [packages/contractkit/src/wallets/test-utils.ts:20](https://github.com/celo-org/celo-monorepo/blob/master/packages/contractkit/src/wallets/test-utils.ts#L20)*

* **EIP712Domain**: *object[]* = [
      { name: 'name', type: 'string' },
      { name: 'version', type: 'string' },
      { name: 'chainId', type: 'uint256' },
      { name: 'verifyingContract', type: 'address' },
    ]

* **Mail**: *object[]* = [
      { name: 'from', type: 'Person' },
      { name: 'to', type: 'Person' },
      { name: 'contents', type: 'string' },
    ]

* **Person**: *object[]* = [
      { name: 'name', type: 'string' },
      { name: 'wallet', type: 'address' },
    ]
